Bug 107885 - windows are not always maximized to full length
Summary: windows are not always maximized to full length
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: metacity   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL: http://livna.org/~anvil/Capture-metac...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-24 01:45 UTC by Dams
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-25 19:20:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dams 2003-10-24 01:45:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.4.1) Gecko/20031014
Galeon/1.3.9

Description of problem:
When i press the little (middle) button in the top bar of a window to maximize
it, sometimes it is not maximized to the full length of the screen. 
See URL for screenshot. Notice the buttons icons in the top bar of the eog
window : they say the window is maximized.

Version-Release number of selected component (if applicable):
metacity(0:2.6.2-1).i386

How reproducible:
Sometimes

Steps to Reproduce:
1. eog ~/
1b. Resizing the window smaller may help
2. Move the eog window the righter possible place, then maximize it


Actual Results:  Like URL.

Additional info:

If i *move* the unmaximized window, _without resizing it_, then the lefter it is
placed (when unmaximized), the larger it will be once maximized. And vice-versa
: righter the unmaximized window is, smaller the length will be once maximized.

The maximized window is always placed at +0-22 (which is correct). 
My screen resolution is 1600x1200

Comment 1 Havoc Pennington 2004-05-25 19:20:00 UTC
http://bugzilla.gnome.org/show_bug.cgi?id=143151


Note You need to log in before you can comment on or make changes to this bug.